<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >

  <head>
		<% base_tag %>
		$MetaTags
		<link rel="shortcut icon" href="/favicon.ico" />
	</head>
<body>

<div id="wrap">
  <div id="top-bg"></div>
  <div id="header">
    Yoursite Logo
  </div>
<div  id="nav">
	  <% include Navigation %>
  </div>	
					
  <div id="content-wrap">
	<div id="search">
		<div class="typography">
			<a name="TemplateInfo"></a>
			<h2>$Title</h2>
      <% if Search %>
        <% control Search %>
            <div align="center">
            <form action="http://yoursite/search/" method="get" style="display: inline-block;">
              <fieldset>
                <legend>
                  <a href="http://www.jrank.org/" style="font-size: 10pt; font-family: Arial, sans-serif;">Site Search Engine</a>
                </legend>
                <a href="http://www.jrank.org/">
                  <img alt="Site Search Engine" src="http://www.jrank.org/images/jrank_88_31-fs8.png" style="border: none; vertical-align: middle;" title="Site Search Engine" />
                </a>
                <input id="q" name="q" style="display: inline; vertical-align: middle;" type="text" value="{$MetaData.query}" />
                <input name="commit" style="display: inline; vertical-align: middle;" type="submit" value="Search" />
              </fieldset>
            </form>
          </div>
          <div id="searchResults">
          <% if MetaData.query %>
            <div id="SearchQuery">
              <span style="float: right;">$MetaData.time seconds</span>
              <span>Results $MetaData.start - $MetaData.end of $MetaData.total <strong>&quot;{$MetaData.query}&quot;</strong></span>

            </div>
          <% end_if %>
            <br/>
            <% if Results %>
              <ul id="SearchResults">
                <% control Results %>
                <li>
                  <a class="searchResultHeader" href="$url">
                    $title
                  </a>
                  <div>
                    $content
                    <br/>
                    <a class="readMoreLink" href="$url" title="Read more about &quot;{$title}&quot;">$url</a>
                  </div>
                </li>
                <% end_control %>
              </ul>
              <% if Pages %>
                <div id="searchPagination">
                  <% if MetaData.prev_page %>
                    <a href="{$SearchURLBase}&start={$MetaData.prev_page_start}" title="Previous page">Prev</a>
                  <% end_if %>
                  <% control Pages %>
                    <% if current_page %>
                      $number
                    <% else %>
                      <% if start %>
                        <a href="{$url}" title="Page {$number} of search results ">$number</a>
                      <% else %>
                        $number
                      <% end_if %>
                    <% end_if %>
                  <% end_control %>
                  <% if MetaData.next_page %>
                    <a href="{$SearchURLBase}&start={$MetaData.next_page_start}" title="Next page">Next</a>
                  <% end_if %>
                </div>
              <% end_if %>
              <% else %>
              <p>Sorry, your search query did not return any results.</p>
              <% end_if %>
          </div>            
        <% end_control %>
      <% else %>
        <div align="center">
        <form action="http://yoursite/search/" method="get" style="display: inline-block;">
          <fieldset>
            <legend>
              <a href="http://www.jrank.org/" style="font-size: 10pt; font-family: Arial, sans-serif;">Site Search Engine</a>
            </legend>
            <a href="http://www.jrank.org/">
              <img alt="Site Search Engine" src="http://www.jrank.org/images/jrank_88_31-fs8.png" style="border: none; vertical-align: middle;" title="Site Search Engine" />
            </a>
            <input id="q" name="q" style="display: inline; vertical-align: middle;" type="text" value="" />
            <input name="commit" style="display: inline; vertical-align: middle;" type="submit" value="Search" />
          </fieldset>
        </form>
      </div>
      <% end_if %>
          
      <br/>

			$PageComments
			$Form
		</div>
	</div>
  </div>




	
  <div id="footer-wrap">
	  <div id="footer-bottom">		
		  <% include Footer %>
	  </div>	
<!-- footer ends-->
</div>
<!-- wrap ends here -->
</div>
</body>
</html>
